var first_tour;
var teste;

$(function()
{
    $(function()
    {
        first_tour = new Tour(
        {
            template: 
            "<div class='popover tour'><div class='arrow'></div>"+
                "<h3 class='popover-title'></h3>"+
                "<div class='popover-content'></div>"+
                "<div class='popover-navigation'>"+
                    "<button class='btn btn-default btn-flat pull-left' data-role='prev'><i class='fa fa-arrow-left' aria-hidden='true'></i></button>"+
                    "<button class='btn btn-default btn-flat pull-right' data-role='next'><i class='fa fa-arrow-right' aria-hidden='true'></i></button>"+
                "</div>"+
                "<button class='btn btn-default btn-block pull-right btn-end' data-role='end'>Sair</button>"+
            "</div>",
            debug: true,
            steps: steps,
            backdrop: (!isMobile),
            backdropPadding: 5,
            onStart: function(tour){
                $('.control-sidebar').css({'z-index': 'initial'});
            },
            onEnd: function(tour){
                $('.control-sidebar').removeAttr('style');
                /*showModal('', '', 'success');*/
                
                if($('body').hasClass('sidebar-open') && isMobile)
                {
                    $('.sidebar-toggle').trigger('click');
                }
            }
        }).init();
        
        $(document).on("click", ".btn-end", function(e)
        {
            first_tour.end();
        });
    });
}).call(this);

$(window).load(function()
{
    if($("#bem_vindo").data('acesso') == 1 && $("#bem_vindo").data('first-view') == 1)
    { 
        first_tour.restart(); 
    } 
});

/*$('#modal').on('hidden.bs.modal', function(e)
{
    //first_tour.end();
    $('#modal').remove();
    $('#url').attr('href', base_url + 'anunciante/painel/cadastro');
});*/

var steps= [            
    {
        title: "Bem-vindo(a)!",
        content: "Esse é o painel de controle do seu Blog VB. <br>Faça o tour e aproveite as dicas para desenvolver a sua criatividade e mostrar o seu talento na web, quer seja no seu projeto pessoal, na sua área de conhecimento ou empresarial, na apresentação de produto ou serviço, com vistas a alcançar o seu público-alvo e ser um sucesso no seu segmento.",
        orphan: true,
        backdrop: true,
        /*onNext: function(tour){
            if(isMobile === false)
            {
                //tour.end();
                setTimeout(function(){
                    tour.restart();
                    tour.goTo(2);
                }, 300);
            }
        }*/
    },
    {
        title: "Início",
        content: "Esse é o painel de controle do seu Blog VB.",
        element: "#control-menu-principal-tab li:eq(0)",
        placement: "right",         
        smartPlacement: true,
        onShow: function(tour){
            if(tour._options.backdrop === true)
            {
                $('#control-menu-principal-tab li:eq(0)').find('a').css({'background-color':'rgba(0,0,0,0.1)', 'color':'black'});
            }
        },
        onHide: function(tour){
            $('#control-menu-principal-tab li:eq(0)').find('a').removeAttr('style');
        }/*,
        onPrev: function(tour){
            if(isMobile === false)
            {
                //tour.end();
                setTimeout(function(){
                    tour.restart();
                    tour.goTo(0);
                }, 300);
            }
        }*/
    },
    {
        title: "Postagem",
        content: "Aqui você cria e edita as postagens do seu Blog VB.",
        element: "#control-menu-principal-tab li:eq(1)",
        placement: "right",         
        smartPlacement: true,
        onShow: function(tour){
            if(tour._options.backdrop === true)
            {
                $('#control-menu-principal-tab li:eq(1)').find('a').css({'background-color':'rgba(0,0,0,0.1)', 'color':'black'});
            }
        },
        onHide: function(tour){
            $('#control-menu-principal-tab li:eq(1)').find('a').removeAttr('style');
        }
    },
    {
        title: "Serviços",
        content: "Adicione aqui os serviços que você oferece no seu Blog VB.",
        element: "#control-menu-principal-tab li:eq(2)",
        placement: "right",         
        smartPlacement: true,
        onShow: function(tour){
            if(tour._options.backdrop === true)
            {
                $('#control-menu-principal-tab li:eq(2)').find('a').css({'background-color':'rgba(0,0,0,0.1)', 'color':'black'});
            }
        },
        onHide: function(tour){
            $('#control-menu-principal-tab li:eq(2)').find('a').removeAttr('style');
        }
    },
    {
        title: "Slideshow",
        content: "Insira aqui as imagens de abertura do seu Blog VB.",
        element: "#control-menu-principal-tab li:eq(3)",
        placement: "right",         
        smartPlacement: true,
        onShow: function(tour){
            if(tour._options.backdrop === true)
            {
                $('#control-menu-principal-tab li:eq(3)').find('a').css({'background-color':'rgba(0,0,0,0.1)', 'color':'black'});
            }
        },
        onHide: function(tour){
            $('#control-menu-principal-tab li:eq(3)').find('a').removeAttr('style');
        }
    },
    {
        title: "Mídias",
        content: "Aqui você adiciona e gerencia as mídias do seu Blog VB.",
        element: "#control-menu-principal-tab li:eq(4)",
        placement: "right",         
        smartPlacement: true,
        onShow: function(tour){
            if(tour._options.backdrop === true)
            {
                $('#control-menu-principal-tab li:eq(4)').find('a').css({'background-color':'rgba(0,0,0,0.1)', 'color':'black'});
            }
        },
        onHide: function(tour){
            $('#control-menu-principal-tab li:eq(4)').find('a').removeAttr('style');
        }
    },
    {
        title: "Administração",
        content: 'Aqui você administra o conteúdo do seu Blog VB.',
        element: "#control-menu-principal-tab li:eq(5)",
        placement: "right",         
        smartPlacement: true,
        onShow: function(tour){
            if(tour._options.backdrop === true)
            {
                $('#control-menu-principal-tab li:eq(5)').find('a').css({'background-color':'rgba(0,0,0,0.1)', 'color':'black'});
            }
        },
        onHide: function(tour){
            $('#control-menu-principal-tab li:eq(5)').find('a').removeAttr('style');
        }
    },
    {
        title: "Sair",
        content: 'Aqui você sai do painel de controle do seu Blog VB.',
        element: "#control-menu-principal-tab li:eq(6)",
        placement: "right",         
        smartPlacement: true
    },
    {
        element: ".logo-lg",
        placement: "bottom",
        title: "Meu Blog",
        backdrop: false,
        content: "Clique aqui e vá para a página inicial do seu Blog VB.",
        backdrop: true,
        backdropPadding: 5,
        onShown: function (tour) { var content = $('.logo-lg').clone().appendTo('.tour-step-background').wrap('<div class="help-tour" />') }
    },
    {
        element: ".sidebar-toggle",
        placement: "bottom",
        title: "Minimizar/Maximizar Menu",
        backdrop: false,
        content: "Aqui você minimiza e maximiza o menu do seu painel de controle.",
        backdrop: true,
        backdropPadding: 5,
        onShown: function (tour) { var content = $('.sidebar-toggle').clone().appendTo('.tour-step-background').wrap('<div class="help-tour" />') }
    },
    {
        element: "#user-menu",
        placement: "bottom",
        title: "Minha Conta",
        backdrop: false,
        content: "Aqui você edita os seus dados de acesso.",
        backdrop: true,
        backdropPadding: 5,
        onShown: function (tour) { var content = $('#user-menu').clone().appendTo('.tour-step-background').wrap('<div class="help-tour" />') }
    },
    {
        element: "#t-contato",
        placement: "bottom",
        title: "Contato",
        backdrop: false,
        content: "Visualize aqui as mensagens enviadas para você.",
        backdrop: true,
        backdropPadding: 5,
        onShown: function (tour) { var content = $('#t-contato').clone().appendTo('.tour-step-background').wrap('<div class="help-tour" />') }
    },
    {
        element: "#t-clock",
        placement: "bottom",
        title: "Tempo da sessão",
        backdrop: false,
        content: "Seu tempo on-line.",
        backdrop: true,
        backdropPadding: 5,
        onShown: function (tour) { var content = $('#t-clock').clone().appendTo('.tour-step-background').wrap('<div class="help-tour" />') }
    },
    {
        element: "#tour",
        placement: "bottom",
        title: "Importante",
        backdrop: false,
        content: "Sempre que precisar de ajuda clique nesse ícone.",
        backdrop: true,
        backdropPadding: 5,
        onShown: function (tour) { var content = $('#tour').clone().appendTo('.tour-step-background').wrap('<div class="help-tour" />') }
    },
    {
        element: "#btn-logout-top",
        placement: "bottom",
        title: "Sair",
        backdrop: false,
        content: "Aqui você sai do painel de controle do seu Blog VB.",
        backdrop: true,
        backdropPadding: 5,
        onShown: function (tour) { var content = $('#btn-logout-top').clone().appendTo('.tour-step-background').wrap('<div class="help-tour" />') }
    }
];